#include "log.h"
#include <syslog.h>

void log_identity(const char *s) {
  openlog(s, LOG_PID, LOG_AUTHPRIV);
}

void log_str(const char *s1, const char *s2, const char *s3, const char *s4,
    const char *s5, const char *s6) {
  syslog(LOG_NOTICE, "%s%s%s%s%s%s",
      s1 ? s1 : "",
      s2 ? s2 : "",
      s3 ? s3 : "",
      s4 ? s4 : "",
      s5 ? s5 : "",
      s6 ? s6 : "");
}
